@use '../../sass/mixin' as *;
@use '../../sass/variable.scss' as *;
@import '@styles/base';

.container {
  width: 100vw;
  max-width: 100vw;
  display: flex;
  justify-content: center;
}

.dark {
  @include theme('dark');
  background-image: url('/src/static/images/todo/bg-desktop-dark.jpg');
  background-repeat: no-repeat;
  background-size: auto;
  .list,
  .input,
  .div4,
  .footer,
  .footer2 {
    background-color: $very-dark-desaturated-blue;
    color: $very-light-gray;
    border-radius: 4px;
  }
  ::-webkit-scrollbar {
    width: 10px;
  }

  ::-webkit-scrollbar-track {
    background: $very-dark-grayish-blue;
  }

  ::-webkit-scrollbar-thumb {
    background: #888;
  }

  ::-webkit-scrollbar-thumb:hover {
    background: #555;
  }
}

.light {
  @include theme('light');
  background-image: url('/src/static/images/todo/bg-desktop-light.jpg');
  background-repeat: no-repeat;
  background-size: auto;
  .list,
  .input,
  .div4,
  .footer,
  .footer2 {
    background-color: $very-light-gray;
    color: $very-dark-desaturated-blue;
    border-radius: 4px;
  }
}

.contentContainer {
  width: 50vw;
  height: 100vh;
  gap: 20px;
  @include directionY;
  @include apply-at-md-size-only {
    width: 90vw;
  }
}

.head {
  @include directionX;
  align-items: center;
}

.box {
  border: 1px solid gray;
  border-radius: 4px;
}

.checkbox {
  height: 1rem;
  width: 1rem;
}

.div1 {
  width: 100%;
  font-weight: 700;
  letter-spacing: 10px;
}

.input {
  width: 100%;
  height: 3rem;
  box-sizing: border-box;
  border: none;
  padding-left: 1rem;
  font-size: large;
  border-radius: 4px;
}

.modalContainer {
  width: 100vw;
  height: 100vh;
  @include directionY;
  @include directionCenter;
}

.modal {
  width: 20rem;
  height: 10rem;
  border-radius: 4px;
  @include directionY;
  @include directionCenter;
  gap: 1rem;
  background-color: $very-light-gray;
}

button {
  color: $very-light-gray;
  width: 6rem;
  height: 1.5rem;
  border-radius: 4px;
}

.buttonCancel {
  background-color: crimson;
}

.buttonSave {
  background-color: steelblue;
}

.div4 {
  height: 400px;
  max-height: 400px;
  overflow: auto;
  @include apply-at-md-size-only {
    max-height: 330px;
  }
}

.noData {
  font-size: medium;
  text-align: center;
  padding-top: 8rem;
  color: $dark-grayish-blue;
}

.active {
  color: steelblue;
}

.checkActive {
  text-decoration: line-through;
  color: gray;
}

.footer {
  @include directionX;
  justify-content: space-around;
  font-size: small;
  height: 2rem;
  align-items: center;
  border-top: 1px solid gray;
  color: $dark-grayish-blue;
}

.footer1 {
  @include apply-at-md-size-only {
    display: none;
  }
  @include directionX;
  gap: 2rem;
}

.footer2 {
  @include directionX;
  @include directionCenter;
  font-size: small;
  gap: 3rem;
  height: 3rem;
  @include apply-at-lg-size {
    display: none;
  }
}

.bottom {
  text-align: center;
  font-size: small;
  font-weight: 400;
  color: $dark-grayish-blue;
}
